"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const factory = require("../../core/factory/factory.cjs");
const ModalBaseTitle = require("../ModalBase/ModalBaseTitle.cjs");
const Drawer_context = require("./Drawer.context.cjs");
const Drawer_module_css = require("./Drawer.module.css.cjs");
const defaultProps = {};
const DrawerTitle = factory.factory((_props, ref) => {
  const props = useProps.useProps("DrawerTitle", defaultProps, _props);
  const { classNames, className, style, styles, vars, ...others } = props;
  const ctx = Drawer_context.useDrawerContext();
  return /* @__PURE__ */ jsxRuntime.jsx(
    ModalBaseTitle.ModalBaseTitle,
    {
      ref,
      ...ctx.getStyles("title", { classNames, style, styles, className }),
      ...others
    }
  );
});
DrawerTitle.classes = Drawer_module_css.default;
DrawerTitle.displayName = "@mantine/core/DrawerTitle";
exports.DrawerTitle = DrawerTitle;
